Package: org.gradle.tooling.model.eclipse

## [Java] Interface HierarchicalEclipseProject

- org.gradle.tooling.model.Model

- All Superinterfaces:
    Element, HierarchicalElement, Model

  Represents the basic information about an Eclipse project.

  Since:
    1.0-milestone-3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DomainObjectSet<? extends HierarchicalEclipseProject>` | `getChildren()` {@inheritDoc}
    `DomainObjectSet<? extends EclipseLinkedResource>` | `getLinkedResources()` Returns the linked resources for this project.
    `HierarchicalEclipseProject` | `getParent()` {@inheritDoc}
    `DomainObjectSet<? extends EclipseProjectDependency>` | `getProjectDependencies()` Returns the project dependencies for this project.
    `File` | `getProjectDirectory()` Returns the project directory for this project.
    `DomainObjectSet<? extends EclipseSourceDirectory>` | `getSourceDirectories()` Returns the source directories for this project.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface HierarchicalElement` | `getChildren, getParent`
    `interface Element` | `getDescription, getName`

- - ### Method Detail

    - #### public DomainObjectSet<? extends HierarchicalEclipseProject> getChildren()

      {@inheritDoc}

    - #### public DomainObjectSet<? extends EclipseLinkedResource> getLinkedResources()

      Returns the linked resources for this project.

      throws:
        org.gradle.tooling.model.UnsupportedMethodException When the target Gradle version does not support this information. You can safely catch ignore this exception and query the model for other information.
      Returns:
        The linked resources.
      Since:
        1.0-milestone-4

    - #### public HierarchicalEclipseProject getParent()

      {@inheritDoc}

    - #### public DomainObjectSet<? extends EclipseProjectDependency> getProjectDependencies()

      Returns the project dependencies for this project.

      Returns:
        The project dependencies. Returns an empty set if the project has no project dependencies.
      Since:
        1.0-milestone-3

    - #### public File getProjectDirectory()

      Returns the project directory for this project.

      Returns:
        The project directory.
      Since:
        1.0-milestone-9

    - #### public DomainObjectSet<? extends EclipseSourceDirectory> getSourceDirectories()

      Returns the source directories for this project.

      Returns:
        The source directories. Returns an empty set if the project has no source directories.
      Since:
        1.0-milestone-3